aboutsummaryrefslogtreecommitdiffstats
path: root/tools/testing/selftests
diff options
context:
space:
mode:
authorRoopa Prabhu <roopa@cumulusnetworks.com>2019-02-25 22:03:02 -0800
committerDavid S. Miller <davem@davemloft.net>2019-02-26 08:54:37 -0800
commitda640bc05117eac2955cae27ccb052cdb958588e (patch)
treed2de43ac5ca9c5fb16a51012d742fdf1d9556f80 /tools/testing/selftests
parentvxlan: add extack support for create and changelink (diff)
downloadlinux-dev-da640bc05117eac2955cae27ccb052cdb958588e.tar.xz
linux-dev-da640bc05117eac2955cae27ccb052cdb958588e.zip
tools: selftests: rtnetlink: add testcases for vxlan flag sets
This patch extends rtnetlink.sh to cover some vxlan flag netlink attribute sets. Signed-off-by: Roopa Prabhu <roopa@cumulusnetworks.com> Signed-off-by: David S. Miller <davem@davemloft.net>
Diffstat (limited to 'tools/testing/selftests')
-rwxr-xr-xtools/testing/selftests/net/rtnetlink.sh52
1 files changed, 52 insertions, 0 deletions
diff --git a/tools/testing/selftests/net/rtnetlink.sh b/tools/testing/selftests/net/rtnetlink.sh
index 78fc593dfe40..5baf35aab7f8 100755
--- a/tools/testing/selftests/net/rtnetlink.sh
+++ b/tools/testing/selftests/net/rtnetlink.sh
@@ -408,6 +408,58 @@ kci_test_encap_vxlan()
ip netns exec "$testns" ip link add link "$vxlan" name "$vlan" type vlan id 1
check_err $?
+ # changelink testcases
+ ip netns exec "$testns" ip link set dev "$vxlan" type vxlan vni 43 2>/dev/null
+ check_fail $?
+
+ ip netns exec "$testns" ip link set dev "$vxlan" type vxlan group ffe5::5 dev "$devdummy" 2>/dev/null
+ check_fail $?
+
+ ip netns exec "$testns" ip link set dev "$vxlan" type vxlan ttl inherit 2>/dev/null
+ check_fail $?
+
+ ip netns exec "$testns" ip link set dev "$vxlan" type vxlan ttl 64
+ check_err $?
+
+ ip netns exec "$testns" ip link set dev "$vxlan" type vxlan nolearning
+ check_err $?
+
+ ip netns exec "$testns" ip link set dev "$vxlan" type vxlan proxy 2>/dev/null
+ check_fail $?
+
+ ip netns exec "$testns" ip link set dev "$vxlan" type vxlan norsc 2>/dev/null
+ check_fail $?
+
+ ip netns exec "$testns" ip link set dev "$vxlan" type vxlan l2miss 2>/dev/null
+ check_fail $?
+
+ ip netns exec "$testns" ip link set dev "$vxlan" type vxlan l3miss 2>/dev/null
+ check_fail $?
+
+ ip netns exec "$testns" ip link set dev "$vxlan" type vxlan external 2>/dev/null
+ check_fail $?
+
+ ip netns exec "$testns" ip link set dev "$vxlan" type vxlan udpcsum 2>/dev/null
+ check_fail $?
+
+ ip netns exec "$testns" ip link set dev "$vxlan" type vxlan udp6zerocsumtx 2>/dev/null
+ check_fail $?
+
+ ip netns exec "$testns" ip link set dev "$vxlan" type vxlan udp6zerocsumrx 2>/dev/null
+ check_fail $?
+
+ ip netns exec "$testns" ip link set dev "$vxlan" type vxlan remcsumtx 2>/dev/null
+ check_fail $?
+
+ ip netns exec "$testns" ip link set dev "$vxlan" type vxlan remcsumrx 2>/dev/null
+ check_fail $?
+
+ ip netns exec "$testns" ip link set dev "$vxlan" type vxlan gbp 2>/dev/null
+ check_fail $?
+
+ ip netns exec "$testns" ip link set dev "$vxlan" type vxlan gpe 2>/dev/null
+ check_fail $?
+
ip netns exec "$testns" ip link del "$vxlan"
check_err $?